Support » Plugin: TinyMCE Templates » Plugin doesnt activate after last upgrade

  • Hi, once i’ve updated the plugin it doesnt get activated.

    I tried to remove the plugin and do a fresh install but it doesnt get activated also.

    Are u having this issue?

    P.D.

    Thanks for sharing a great plugin and adding that functionality i asked for ( adding the ‘add template’ button to ACF wysiwyg )

    https://wordpress.org/plugins/tinymce-templates/

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author Takayuki Miyauchi

    (@miyauchi)

    It works fine for me in my site and fresh WordPress too.
    Would you share error messages?

    This is the error i’m getting from WP_DEBUG

    Warning: Cannot modify header information – headers already sent by (output started at /home/devnomad/public_html/wp-content/object-cache.php:374) in /home/devnomad/public_html/wp-includes/pluggable.php on line 1207

    That was very interesting…

    After got the error i’ve disabled debug mode and refresh the window where the error was and plugin it’s enabled now.

    Okay,

    button to add templates is showing at every ACF field but It doesnt open the pop up to select the template on the ACF fields

    but it does it at the content editor.

    Another fine tuning:
    can we control on which tinymce defined toolbars the button is loaded?

    I have a multiuser site and some roles have a more restricted toolbars with only few options of formatting and i’d like to not let them to add templates.

    The idea will be load your plugin only on those fields that have the “FULL TINYMCE” and not the rest of defined toolbars.

    I have a piece of code like that to define other toolbars

    add_filter( ‘acf/fields/wysiwyg/toolbars’ , ‘my_toolbars’ );
    function my_toolbars( $toolbars )
    {
    // Add a new toolbar called “Very Simple”
    $toolbars[‘Very Simple’ ] = array();
    $toolbars[‘Very Simple’ ][1] = array(‘formatselect’ , ‘bold’ , ‘italic’ , ‘underline’ , ‘specialcharacter’ , ‘bullist’ , ‘numlist’ , ‘alignleft’ , ‘alignright’ , ‘aligncenter’ , ‘alignjustify’ ,);
    $toolbars[‘Very Simple’ ][2] = array(‘pastetext’ , ‘undo’ , ‘redo’ , ‘fullscreen’);

    // return $toolbars – IMPORTANT!
    return $toolbars;
    }

    Thanks!

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Plugin doesnt activate after last upgrade’ is closed to new replies.